#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19e7f00b, "nvKmsKapiGetFunctionsTable" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5e5429e7, "drm_connector_list_iter_begin" },
	{ 0x880ee418, "drm_connector_list_iter_next" },
	{ 0x566ccec1, "drm_connector_list_iter_end" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xb651ccaf, "drm_atomic_helper_shutdown" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x847b0a1a, "drm_kms_helper_poll_fini" },
	{ 0x91a31e08, "drm_mode_config_cleanup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8059a162, "drm_kms_helper_hotplug_event" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb9ad5e9f, "drmm_mode_config_init" },
	{ 0x3f618d97, "drm_mode_create_dvi_i_properties" },
	{ 0x405898f6, "drm_kms_helper_poll_init" },
	{ 0x504b12a2, "drm_kms_helper_poll_disable" },
	{ 0xc62c0962, "drm_property_create_enum" },
	{ 0xda3fed0a, "drm_property_create_range" },
	{ 0xa2cbcc5, "drm_property_create" },
	{ 0x18ef273d, "drm_helper_hpd_irq_event" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x724024cd, "drm_mode_object_find" },
	{ 0x8c2dadaf, "drm_mode_object_put" },
	{ 0x23ad2e6f, "drm_modeset_acquire_init" },
	{ 0x5771053c, "drm_modeset_lock_all_ctx" },
	{ 0x3b2b2888, "drm_modeset_drop_locks" },
	{ 0x898451df, "drm_modeset_acquire_fini" },
	{ 0xda4f9695, "drm_modeset_backoff" },
	{ 0x52e7e9b6, "drm_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe960e140, "drm_file_get_master" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6a922abe, "drm_master_put" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x154877c8, "drm_atomic_state_alloc" },
	{ 0x32b4ecb3, "drm_atomic_get_crtc_state" },
	{ 0x23090eb9, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xcd300325, "drm_atomic_get_connector_state" },
	{ 0xaecf1ff3, "drm_atomic_set_crtc_for_connector" },
	{ 0xbddcde85, "drm_atomic_commit" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x40912738, "drm_modeset_lock_all" },
	{ 0x49ce1c31, "drm_modeset_unlock_all" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4e4ceb2b, "drm_dev_alloc" },
	{ 0x739bab8d, "drm_dev_register" },
	{ 0x9fea97d, "pci_bus_type" },
	{ 0x2e833902, "drm_fbdev_generic_setup" },
	{ 0x7a32167c, "drm_dev_put" },
	{ 0xa3a7ac88, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x89cffef5, "drm_dev_unregister" },
	{ 0xc45bc970, "drm_fb_helper_set_suspend_unlocked" },
	{ 0x2dd133ee, "drm_mode_config_reset" },
	{ 0x824caaf, "drm_kms_helper_poll_enable" },
	{ 0x2dea086c, "noop_llseek" },
	{ 0xdf69b7d8, "drm_read" },
	{ 0xdb806f18, "drm_poll" },
	{ 0x455fc1c7, "drm_compat_ioctl" },
	{ 0xebb3e9fd, "drm_open" },
	{ 0x30a639d1, "drm_release" },
	{ 0xe235db28, "drm_gem_prime_handle_to_fd" },
	{ 0x847cc104, "drm_gem_prime_fd_to_handle" },
	{ 0xa916b694, "strnlen" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x3c043c7a, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x9728484d, "drm_crtc_cleanup" },
	{ 0xb1ccac3b, "drm_plane_cleanup" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x36917fe0, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x8e7db743, "drm_property_blob_put" },
	{ 0x1ef8f07c, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xd5b7f85e, "drm_property_blob_get" },
	{ 0x13aed8f9, "drm_atomic_helper_plane_reset" },
	{ 0x37a0cba, "kfree" },
	{ 0x27282d57, "drm_universal_plane_init" },
	{ 0xcc5eee8, "drm_plane_create_rotation_property" },
	{ 0x3697dd0a, "drm_object_attach_property" },
	{ 0x59b87138, "drm_plane_create_alpha_property" },
	{ 0x7c2dd669, "drm_plane_create_blend_mode_property" },
	{ 0xff3116af, "drm_property_replace_blob" },
	{ 0x8bf00202, "drm_property_lookup_blob" },
	{ 0x3ac4cfd8, "drm_atomic_helper_crtc_reset" },
	{ 0xed41abd5, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x113c2ac7, "drm_crtc_init_with_planes" },
	{ 0x79d7aeb5, "drm_crtc_enable_color_mgmt" },
	{ 0xc4b17bbf, "drm_mode_crtc_set_gamma_size" },
	{ 0x4792ca54, "drm_atomic_helper_update_plane" },
	{ 0xbed721ea, "drm_atomic_helper_disable_plane" },
	{ 0xca302e2d, "drm_atomic_helper_set_config" },
	{ 0xb1183043, "drm_atomic_helper_page_flip" },
	{ 0xa88620ba, "drm_encoder_cleanup" },
	{ 0xa379b7bf, "drm_encoder_init" },
	{ 0x872d8199, "drm_connector_attach_encoder" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaba2e98b, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0xa0e24308, "drm_connector_update_edid_property" },
	{ 0x2626fd4d, "drm_mode_create" },
	{ 0x696df880, "drm_mode_probed_add" },
	{ 0x5648b2d5, "drm_connector_unregister" },
	{ 0x832c878d, "drm_connector_cleanup" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2109d659, "drm_connector_init" },
	{ 0x6d6f64c9, "drm_mode_create_dp_colorspace_property" },
	{ 0x83ff5563, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0xdf7df6f2, "drm_connector_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x49478b03, "drm_mode_create_hdmi_colorspace_property" },
	{ 0xe073395a, "drm_connector_attach_colorspace_property" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2d587926, "drm_edid_override_connector_update" },
	{ 0x62c94923, "drm_connector_attach_vrr_capable_property" },
	{ 0x4f848457, "drm_connector_set_vrr_capable_property" },
	{ 0x742dc4a2, "drm_object_property_set_value" },
	{ 0xc785652, "drm_atomic_helper_connector_reset" },
	{ 0x6efc539c, "drm_helper_probe_single_connector_modes" },
	{ 0xfaadd454, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xa188c0ce, "drm_atomic_helper_connector_destroy_state" },
	{ 0xbb12473b, "drm_gem_object_release" },
	{ 0xf8bf9c97, "drm_gem_private_object_init" },
	{ 0xac9d8295, "drm_gem_prime_import" },
	{ 0x59142a3, "drm_gem_object_lookup" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7910e38, "drm_vma_offset_lookup_locked" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x24cf437a, "drm_vma_node_is_allowed" },
	{ 0x701632b9, "drm_gem_vm_open" },
	{ 0x3a12af56, "drm_gem_vm_close" },
	{ 0xf0a8d52d, "drm_gem_prime_export" },
	{ 0xb69d5eb7, "drm_gem_handle_create" },
	{ 0x50bee5d6, "drm_framebuffer_cleanup" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x84f4fc3c, "drm_helper_mode_fill_fb_struct" },
	{ 0x12012a0d, "drm_framebuffer_init" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7696ad31, "drm_crtc_send_vblank_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1e72ba18, "drm_atomic_state_init" },
	{ 0xb169b263, "drm_atomic_state_default_clear" },
	{ 0x8f2b6227, "drm_atomic_state_default_release" },
	{ 0x173e8d5f, "drm_atomic_add_affected_planes" },
	{ 0x38f034d5, "drm_atomic_helper_check" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x776893ec, "drm_atomic_helper_swap_state" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x197d5b60, "dma_fence_default_wait" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xfeb06e6d, "ww_mutex_lock" },
	{ 0x4c30fc0e, "dma_resv_reserve_fences" },
	{ 0xe9e7ba63, "dma_resv_add_fence" },
	{ 0x51bf0a6a, "ww_mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x8549e28e, "drm_atomic_add_affected_connectors" },
	{ 0x1c187ff1, "drm_atomic_get_plane_state" },
	{ 0x1b857812, "drm_atomic_set_crtc_for_plane" },
	{ 0xb08994b3, "drm_atomic_set_fb_for_plane" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x1000e51, "schedule" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0xcf2a6966, "up" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6fd7bb7b, "kthread_stop" },
	{ 0x1d1d65ee, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6682447a, "vmalloc_to_page" },
	{ 0xd261ef3c, "wake_up_process" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x89e3e3be, "drm_gem_create_mmap_offset" },
	{ 0x25f5969, "vmf_insert_pfn" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x50f7cd72, "drm_gem_mmap_obj" },
	{ 0xcafba05a, "drm_prime_pages_to_sg" },
	{ 0xedc03953, "iounmap" },
	{ 0x2391873, "vm_insert_page" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x6b7e956c, "drm_prime_gem_destroy" },
	{ 0x133d841f, "fput" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x898d728d, "pin_user_pages" },
	{ 0x53b954a2, "up_read" },
	{ 0xe877011e, "unpin_user_page" },
	{ 0xdf6b75e4, "set_page_dirty_lock" },
	{ 0x3c60571b, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x58b50906, "sync_file_create" },
	{ 0xb450882f, "fd_install" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0x28b19f17, "param_ops_bool" },
	{ 0xe67f590a, "module_layout" },
};

MODULE_INFO(depends, "nvidia-modeset");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "298F6DD44CA27F076AC1654");
